running spock with Groovy 1.7 beta

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

running spock with Groovy 1.7 beta

Hamlet D'Arcy

Should I expect the Spock 0.3 snapshot to work correctly with the
Groovy 1.7 snapshot?

I'm getting some errors running simple tests in IDEA and need to know
if I should report them or not.

FYI: NoSuchMethodError: ModuleNode.getImport
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups "Spock Framework" group.
To post to this group, send email to [hidden email]
To unsubscribe from this group, send email to [hidden email]
For more options, visit this group at http://groups.google.de/group/spockframework?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re: running spock with Groovy 1.7 beta

Peter Niederwieser
Administrator

Hi Hamlet,

I suppose this is with trunk? There is also a branch for Groovy 1.7  
(beta-1). You can grab the Jar from here: http://m2repo.spockframework.org/snapshots/org/spockframework/spock-core/0.3-groovy-1.7-SNAPSHOT/

Cheers,
Peter

On 24.08.2009, at 00:57, Hamlet D'Arcy wrote:

>
> Should I expect the Spock 0.3 snapshot to work correctly with the
> Groovy 1.7 snapshot?
>
> I'm getting some errors running simple tests in IDEA and need to know
> if I should report them or not.
>
> FYI: NoSuchMethodError: ModuleNode.getImport
> >


--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups "Spock Framework" group.
To post to this group, send email to [hidden email]
To unsubscribe from this group, send email to [hidden email]
For more options, visit this group at http://groups.google.de/group/spockframework?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply | Threaded
Open this post in threaded view
|

Re: running spock with Groovy 1.7 beta

Hamlet D'Arcy

cool, it works now.



On Sun, Aug 23, 2009 at 6:07 PM, Peter Niederwieser<[hidden email]> wrote:

>
> Hi Hamlet,
>
> I suppose this is with trunk? There is also a branch for Groovy 1.7
> (beta-1). You can grab the Jar from here: http://m2repo.spockframework.org/snapshots/org/spockframework/spock-core/0.3-groovy-1.7-SNAPSHOT/
>
> Cheers,
> Peter
>
> On 24.08.2009, at 00:57, Hamlet D'Arcy wrote:
>
>>
>> Should I expect the Spock 0.3 snapshot to work correctly with the
>> Groovy 1.7 snapshot?
>>
>> I'm getting some errors running simple tests in IDEA and need to know
>> if I should report them or not.
>>
>> FYI: NoSuchMethodError: ModuleNode.getImport
>> >
>
>
> >
>



--
Hamlet D'Arcy
[hidden email]

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups "Spock Framework" group.
To post to this group, send email to [hidden email]
To unsubscribe from this group, send email to [hidden email]
For more options, visit this group at http://groups.google.de/group/spockframework?hl=en
-~----------~----~----~----~------~----~------~--~---